package com.zjrs.ggfw.portal.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.po.*;

import java.util.List;
import java.util.Map;

public interface SxblBLO extends IBLO {
	
	//查询用户办件列表
    public PageResult getBjList(SxblQueryDTO dto);
    
    //自助终端查询用户办件列表
    public PageResult getZzzdBjList(BjjdZzzdQueryDTO dto);
    
    //查询受理信息流程环节
    public Map<String,Object> getSlxxHj(SlxxHjQueryDTO dto);
    
    //获取事项基本信息
    public VRsSxConfig getRsSxConfig(String sxbm);
    
	//获取事项配置样表下载列表
    public PageResult getRsSxConfigFile(SxConfigFileQueryDTO dto);
    
    //获取办件申报信息
    public VRsWbBjList getRsWbBj(BjQueryDTO dto);

    //获取办件申报信息
    public VRsWbBj getRsWbBjById(BjQueryDTO dto);
    
    //获取受理信息环节
    public VRsWbBjList getRsWbBjLchj(String sllsh,String rsWbBjLsh);
    
    //获取办件主体基本信息
    public VRsSlxxJbxx getRsSlxxJbxx(BjQueryDTO dto);
    
    //保存办件信息
    public VRsWbBj saveBj(VRsWbBj vRsWbBj);
    
    //保存办件主体基本信息
    public void saveRsSlxxJbxx(VRsSlxxJbxx vRsSlxxJbxx);
    
    //保存政府信息依申请公开
    public void saveGrZfxxysqgk(VRsWbZfxxysqgk vRsWbZfxxysqgk);
    
    //保存信访事项
    public void saveXfsxtc(VRsWbXfsxtc vRsWbXfsxtc);
    
    //保存高层次人才申请
    public void saveGccrcrd(VRsZjGccrcSq vRsZjGccrcSq);
    
    //保存社会保障卡信息
    public VRsXxzxShbzkxx saveShbzkxx(VRsXxzxShbzkxx vRsXxzxShbzkxx);
    
    //保存社会保障卡调用日志
    public void saveRsXxzxShbzkxxJkrz(VRsXxzxShbzkxxJkrz vRsXxzxShbzkxxJkrz);
    
    //保存PSAM卡业务信息
    public void savePsamYwxx(VRsPsamYwxxSqb vRsPsamYwxxSqb);

	//获取PSAM卡安装机构信息
    public List<VRsPsamAzjgxx> getRsPsamAzjgList();
    
    //获取PSAM卡入库信息
    public VRsPsamRkxxb getRsPsamRkxxByBh(String psamBh);
	
    //获取政府信息依申请公开
    public VRsWbZfxxysqgk getZfxxysqgk(BjQueryDTO dto);
    
    //获取信访事项
    public VRsWbXfsxtc getXfsxtc(BjQueryDTO dto);
    
    //获取高层次人才认定
    public VRsZjGccrcSq getGccrcSq(BjQueryDTO dto);
    
    //获取社会保障卡信息
    public VRsXxzxShbzkxx getRsXxzxShbzkxx(BjQueryDTO dto);
    
    //获取省社保卡调用日志
    public List<VRsXxzxShbzkxxJkrz> getRsXxzxShbzkxxJkrz(BjQueryDTO dto);
    
    //获取PSAM卡业务信息
    public VRsPsamYwxxSqb getRsPsamYwxx(BjQueryDTO dto); 
    
    //获取事项材料列表
    public PageResult getSxclList(SxZllbQueryDTO dto);
    
    //获取事项办理资料类别列表
    public PageResult getSxSdzlList(BjZllbQueryDTO dto);
    
    //获取事项材料附件列表
    public PageResult getBjSxclList(ClfjQueryDTO dto);
    
    //保存材料附件
    public void saveClfj(VRsWbClfj vRsWbClfj);
    
    //删除附件
    public void delClfj(ClfjDelDTO dto);
    
    //查询某个事项是否存在审核流程中的数据
    public boolean isSxsh(String sxbm,String userid);
    
    //查询是否上传了所有必录材料
    public boolean isUploadAllClfj(String rsWbBjLsh);
    
    //查询劳动系统基本信息
    public Ab33 getAb33(String dwmc, String sxbm);
    
    //获取PSAM卡反馈流水号列表信息
    public List<VRsPsamAzfkxxb> getRsPsamAzfkList(PsamFkxxListQueryDTO dto);
    
    //获取PSAM卡反馈详细信息
    public Map<String,Object> getRsPsamAzfkxx(PsamFkxxQueryDTO dto);
    
    //保存PSAM卡反馈信息
    public void saveRsPsamAzfkxx(VRsPsamAzfkxxb vRsPsamAzfkxxb);
    
    //查询PSAM卡业务信息
    public VRsPsamYwxxSqb getRsPsamYwxxSqbById(String rsPsamYwxxSqbLsh);
    
    //查询PSAM卡安装机构信息
    public VRsPsamAzjgxx getRsPsamAzjgxxById(String rsPsamAzjgxxLsh);
    
    //提交PSAM卡反馈信息
    public void submitRsPsamAzfkxx(PsamFkxxListQueryDTO dto);
    
    //查询PSAM卡其它在办业务
    public List<VRsWbBjList> getPsamBj(VRsWbBjList vRsWbBjList);
    
    //查询PSAM卡业务信息
    public VRsPsamYwxxSqb getRsPsamBh(VRsWbBjList vRsWbBjList);
    
    //保存好差评信息
    public void saveRsJkHcp(VRsJkHcp vRsJkHcp);
    
    //查询好差评信息
    public List<VRsJkHcp> getRsJkHcp(SlxxHjQueryDTO dto);
    
    //查询待评价业务数据
    public int getHcpBjCnt(String userid);

    //办件信息结果附件
    public PageResult getFjList(SxblFjDTO dto);

    //档案转递（机要寄档）
    public void saveDazd(VRsWbDazd vRsWbDazd);

    //保存党员材料转递
    public void saveDyclzd(VRsWbDyclzd vRsWbDyclzd);

    //获取档案转递（机要寄档）
    public VRsWbDazd getDazd(BjQueryDTO dto);

    //获取党员材料转递
    public VRsWbDyclzd getDyclzd(BjQueryDTO dto);

    //放回上一步时获取收件地址
    BjDTO getbjAddress(String sllsh);

    //暂存高层次人才申请信息
    public void saveTempGccrcrd(VRsZjGccrcSq vRsZjGccrcSq);

    public void saveQxxsfy(RsJcQxksclSqPO rsJcQxksclSqPO);

    public RsJcQxksclSqPO getQxxsfy(BjQueryDTO dto);

    public void saveYjsYwxx(YjsQueryDTO dto);

    List<RsWbBjSub> getYjsYwxx(YjsQueryDTO dto);

    List<RsWbBjSub> getSubBjXx(String rsWbBjLsh);

    void updateSubBj(RsWbBjSub rsWbBjSub);

    void checkCondition(String sxbm);
}